apiVersion: apps/v1
kind: Deployment
metadata:
  name: proxy
  labels:
    app: proxy
spec:
  replicas: 1
  selector:
    matchLabels:
      pod: proxy
  template:
    metadata:
      labels:
        pod: proxy
    spec:
      containers:
        - name: proxy
          image: nyuappsec/assign3-proxy:v0
          ports:
            - containerPort: 8080
          volumeMounts:
            - name: static-data-volume-mount
              mountPath: /vol/static
      volumes:
        - name: static-data-volume-mount
          persistentVolumeClaim:
            claimName: static-data-pvc
